net.c: Remove compat macros for AI_V4MAPPED et al.
authorAndre Noll <maan@tuebingen.mpg.de>
Sat, 11 Aug 2018 19:52:05 +0000 (21:52 +0200)
committerAndre Noll <maan@tuebingen.mpg.de>
Sat, 1 Sep 2018 12:23:08 +0000 (14:23 +0200)
commit9f17afc2f49cfaf4f8f02d140615ee44abbf2158
treec72900cc17a75405c8c36c51cff204417d89b35e
parent7a7da3d96a171a3758ea1ee0e4272b8e71d90abe
net.c: Remove compat macros for AI_V4MAPPED et al.

These were added 11 years ago during NetBSD-3.1 days because this
version of NetBSD lacked the three macros. At least on NetBSD-7.1
(released 2017), the compat macros are no longer necessary while
FreeBSD and Linux never needed them. So let's get rid of them.
net.c